commit:     1da2c5c0b390c9c7b71fd5e948a2243cfbf0c1b3
Author:     Aisha Tammy <gentoo <AT> aisha <DOT> cc>
AuthorDate: Fri Oct  2 15:55:22 2020 +0000
Commit:     Aisha Tammy <gentoo <AT> aisha <DOT> cc>
CommitDate: Fri Oct  2 15:55:22 2020 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=1da2c5c0

sci-mathematics/acl2: version bump

Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Aisha Tammy <gentoo <AT> aisha.cc>

 sci-mathematics/acl2/acl2-8.3.ebuild | 51 ++++++++++++++++++++++++++++++++++++
 sci-mathematics/acl2/metadata.xml    | 14 +++++-----
 2 files changed, 57 insertions(+), 8 deletions(-)

diff --git a/sci-mathematics/acl2/acl2-8.3.ebuild 
b/sci-mathematics/acl2/acl2-8.3.ebuild
new file mode 100644
index 000000000..a360cd404
--- /dev/null
+++ b/sci-mathematics/acl2/acl2-8.3.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit eutils
+
+DESCRIPTION="Industrial strength theorem prover"
+HOMEPAGE="http://www.cs.utexas.edu/users/moore/acl2/";
+MY_PN=${PN}-devel
+SRC_URI="https://github.com/${MY_PN}/${MY_PN}/releases/download/${PV}/${P}.tar.gz";
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86"
+IUSE="books"
+
+BDEPEND="dev-lisp/sbcl"
+DEPEND="
+       dev-lisp/sbcl:=
+       books? ( dev-lang/perl )
+"
+RDEPEND="${DEPEND}"
+
+src_compile() {
+       emake LISP="sbcl --noinform --noprint \
+               --no-sysinit --no-userinit --disable-debugger"
+
+       if use books; then
+               echo
+               einfo "Building certificates ..."
+               einfo "(this may take hours to finish)"
+               emake certify-books
+       fi
+}
+
+src_install() {
+       SAVED_NAME=saved_acl2
+       sed -e "s:${S}:/usr/share/acl2:g" -i ${SAVED_NAME} || die
+       if use books; then
+               sed -e "/5/a export ACL2_SYSTEM_BOOKS=/usr/share/acl2/books/" \
+                       -i ${SAVED_NAME} || die
+       fi
+       dobin ${SAVED_NAME}
+
+       insinto /usr/share/acl2
+       doins TAGS ${SAVED_NAME}.core
+       if use books; then
+               doins -r books
+       fi
+}

diff --git a/sci-mathematics/acl2/metadata.xml 
b/sci-mathematics/acl2/metadata.xml
index b77817aa3..6035ff684 100644
--- a/sci-mathematics/acl2/metadata.xml
+++ b/sci-mathematics/acl2/metadata.xml
@@ -11,15 +11,13 @@
                <name>Gentoo Mathematics Project</name>
        </maintainer>
        <longdescription>
-ACL2 is both a programming language in which you can model computer systems and
-a tool to help you prove properties of those models. ACL2 is part of the
-Boyer-Moore family of provers, for which its authors have received the 2005 ACM
-Software System Award.
-</longdescription>
+               ACL2 is both a programming language in which you can model 
computer systems and
+               a tool to help you prove properties of those models. ACL2 is 
part of the
+               Boyer-Moore family of provers, for which its authors have 
received the 2005 ACM
+               Software System Award.
+       </longdescription>
        <use>
-               <flag name="books">
-build community books, the canonical collection of open-source libraries
-</flag>
+               <flag name="books">build community books, the canonical 
collection of open-source libraries</flag>
        </use>
        <upstream>
                <remote-id type="github">acl2-devel/acl2-devel</remote-id>

Reply via email to